Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Li Бързи Съвети » Kernels & Drivers » Инсталиране на драйвери за ATi при Debian
  • Страница 1 от 2 Skip to Page:
  • 1
  • 2
  • Next Page
  • Last Page
Тема: Инсталиране на драйвери за ATi при Debian
Мнение #1 Skip to the next post in this topic.
Написано на: Март 12 2006, 02:30
phantomlord
 
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Както други неща, драйверите за ATi се инсталират много лесно под Debian. Ето какво е нужно да направите:

Добавете в '/etc/apt/sources.list':


Огледала:



Предполагам знаете, че след това е необходимо да изпълните:
Код: 
apt-get update


Ето списък на готовите модули за съответните ядра:
Цитат:

fglrx-kernel-2.6.8-2-386 - ATI binary kernel module for Linux 2.6.8-2-386
fglrx-kernel-2.6.8-2-686 - ATI binary kernel module for Linux 2.6.8-2-686
fglrx-kernel-2.6.8-2-686-smp - ATI binary kernel module for Linux 2.6.8-2-686-smp
fglrx-kernel-2.6.8-2-k7 - ATI binary kernel module for Linux 2.6.8-2-k7
fglrx-kernel-2.6.8-2-k7-smp - ATI binary kernel module for Linux 2.6.8-2-k7-smp
fglrx-kernel-2.6.12-1-386 - ATI binary kernel module for Linux 2.6.12-1-386
fglrx-kernel-2.6.12-1-686 - ATI binary kernel module for Linux 2.6.12-1-686
fglrx-kernel-2.6.12-1-686-smp - ATI binary kernel module for Linux 2.6.12-1-686- smp
fglrx-kernel-2.6.12-1-k7 - ATI binary kernel module for Linux 2.6.12-1-k7
fglrx-kernel-2.6.12-1-k7-smp - ATI binary kernel module for Linux 2.6.12-1-k7-smp
fglrx-kernel-2.6.14-1-386 - ATI binary kernel module for Linux 2.6.14-1-386
fglrx-kernel-2.6.14-1-686 - ATI binary kernel module for Linux 2.6.14-1-686
fglrx-kernel-2.6.14-1-686-smp - ATI binary kernel module for Linux 2.6.14-1-686- smp
fglrx-kernel-2.6.14-1-k7 - ATI binary kernel module for Linux 2.6.14-1-k7
fglrx-kernel-2.6.14-1-k7-smp - ATI binary kernel module for Linux 2.6.14-1-k7-smp
fglrx-kernel-2.6.14-2-386 - ATI binary kernel module for Linux 2.6.14-2-386
fglrx-kernel-2.6.14-2-686 - ATI binary kernel module for Linux 2.6.14-2-686
fglrx-kernel-2.6.14-2-686-smp - ATI binary kernel module for Linux 2.6.14-2-686- smp
fglrx-kernel-2.6.14-2-k7 - ATI binary kernel module for Linux 2.6.14-2-k7
fglrx-kernel-2.6.14-2-k7-smp - ATI binary kernel module for Linux 2.6.14-2-k7-smp
fglrx-kernel-2.6.15-1-486 - ATI binary kernel module for Linux 2.6.15-1-486
fglrx-kernel-2.6.15-1-686 - ATI binary kernel module for Linux 2.6.15-1-686
fglrx-kernel-2.6.15-1-686-smp - ATI binary kernel module for Linux 2.6.15-1-686- smp
fglrx-kernel-2.6.15-1-k7 - ATI binary kernel module for Linux 2.6.15-1-k7
fglrx-kernel-2.6.15-1-k7-smp - ATI binary kernel module for Linux 2.6.15-1-k7-smp

Можете да си ги инсталирате чрез apt-get, Synaptic или друг предпочитан от вас начин, след което да конфигурирате Х-а и да рестартирате. Това са нещата, които трябва да инсталирате, за да ви работят драйверите на ATi. Обаче ако няма компилирани модули за вашето ядро, ще трябва да си ги компилирате сами и да ги заредите. Никак не е сложно. Просто инсталирайте fglrx-driver (2D display drivers and hardware accelerated OpenGL for X.Org 6.8.0), fglrx-kernel-src (kernel module build environment) и fglrx-control-qt3 (Control panel for the ATI Radeon and FireGL graphics accelerators):
Код: 
apt-get install  fglrx-driver  fglrx-kernel-src  fglrx-control-qt3

След това отидете в директорията '/usr/src' (с командата cd /usr/src) и разархивирайте файла 'fglrx.tar.bz2':
Код: 
tar jxvf fglrx.tar.bz2

После влезте в директорията '/usr/src/modules/fglrx' (с командата cd /usr/src/modules/fglrx) и изпълнете:
Код: 
module-assistant prepare
module-assistant a-i fglrx

Тогава ще се генерира deb пакет с компилиран модул в '/usr/src' и ще се инсталира автоматично. Но това не е достатъчно. Ще трябва и да го заредите, но не можете да направите това, докато Х-а ви е стартиран. Минете в режим, в който не се зарежда Х-а:
Код: 
init 1

и изпълнете:
Код: 
modprobe -v fglrx

После отново можете да си заредите графичната среда с
Код: 
init 5

и да коригирате '/etc/X11/xorg.conf' по следния начин:
Цитат:

Section "Module"
 ...
 # Тези модули са необходими за 3D ускорението
 Load "GLcore"
 Load "glx"
 Load "dri"
 ...
 # Load "extmod" but omit DGA extension
 # (the DGA extension is broken in the fglrx driver)
 SubSection "extmod"
   Option "omit xfree86-dga"
 EndSubSection
 ...
EndSection

Section "Device"
 Identifier "ATI"
 Driver     "fglrx" # това е важната част

# Ако X откаже да използва желаната от вас резолюция,
#разкоментирайте  следващата опция:
#Option "NoDDC"

# === Video Overlay for the Xv extension ===
 Option "VideoOverlay" "on"
# === OpenGL Overlay ===
# Note: When OpenGL Overlay is enabled, Video Overlay
#       will be disabled automatically
 Option "OpenGLOverlay" "off"
# === Use internal AGP GART support? ===
# If OpenGL acceleration doesn't work, try using "yes" here
# and disable the kernel agpgart driver.
 Option "UseInternalAGPGART" "no"
EndSection

Section "Screen"
 Identifier "your screen"
 Device     "ATI"
 Monitor    "your monitor"
 DefaultDepth 24
 SubSection "Display"
   Depth 24
   Modes "1024x768" # това е само пример,
                    # коригирайте го според нуждите си
 EndSubSection
EndSection

Section "DRI"
 Mode 0666
EndSection


Рестартирайте Х-а, като натиснете едновременно клавишната комбинация 'ctrl+alt+backspаce' и проверете дали ви работи 3D ускорението като изпълните командата 'fglrxinfo' или 'glxinfo'. Тогава трябва да ви се изпише нещо подобно на следното:
Цитат:

OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9550 Generic <-зависи от модела на видеокартата ви.


Ами това е. Желая ви приятни забавления с 3D игри под Debian!

Източник


Редактирано от phantomlord на Юли 02 2006, 03:54

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 13 2006, 11:38
yasnv
 

No avatar chosen




Група: Li fans
Мнения: 141
Регистриран: Август 2005

Оценка: няма

Offline
много важен въпрос:

бачкат ли тези драйвери и изобщо цялото HOWTO с xorg 6.9?

...иначе не е интересно.
have-tried list: Slax Slackware Mandriva SuSe Knoppix Debian Mepis PCLinuxOS Vector.Linux Ubuntu Kubuntu Tilix Xandros PC-BSD Frugalware rPath VLOS Fedora Gentoo
next-to-try:Korooa
Контакти:  yasnv
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 13 2006, 21:35
phantomlord
 
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Не, за съжаление.  :(
Но се надявам в скоро време автора им да направи ъпдейт.


Редактирано от phantomlord на Март 13 2006, 21:36

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 20 2006, 21:32
yasnv
 

No avatar chosen




Група: Li fans
Мнения: 141
Регистриран: Август 2005

Оценка: няма

Offline
Ако ядрото ви е една от следните версии:
Цитат
 2.6.12-1-386, 2.6.12-1-686, 2.6.12-1-686-smp, 2.6.12-1-k7, 2.6.12-1-k7-smp, 2.6.14-1-386, 2.6.14-1-686, 2.6.14-1-686-smp, 2.6.14-1-k7, 2.6.14-1-k7-smp, 2.6.14-2-386, 2.6.14-2-686, 2.6.14-2-686-smp, 2.6.14-2-k7, 2.6.14-2-k7-smp

 значи сте късметлия. Имате готови компилирани модули за ядрото и просто трябва да си ги инсталирате, след което да си конфигурирате Х-а и да рестартирате. Това са нещата, които трябва да инсталирате, за да ви работят драйверите на ATi. Обаче ако няма компилирани модули за вашето ядро, ще трябва да си ги компилирате сами и да ги заредите.

това са твои думи :)
така,от днеска и за по-нови ядра има компилирани драйвери.Както примерно при мен 2.6.15.1-486 това значи ли че след като инсталирам пакетите от картината не трябва да правя оказаните стъпки по-долу?

...иначе не е интересно.
have-tried list: Slax Slackware Mandriva SuSe Knoppix Debian Mepis PCLinuxOS Vector.Linux Ubuntu Kubuntu Tilix Xandros PC-BSD Frugalware rPath VLOS Fedora Gentoo
next-to-try:Korooa
Контакти:  yasnv
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 21 2006, 01:13
phantomlord
 
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Дам... Сега видях и аз, че са пуснали нови драйвери. Следните са готови за инсталиране:
Цитат:

fglrx-kernel-2.6.8-2-386 - ATI binary kernel module for Linux 2.6.8-2-386
fglrx-kernel-2.6.8-2-686 - ATI binary kernel module for Linux 2.6.8-2-686
fglrx-kernel-2.6.8-2-686-smp - ATI binary kernel module for Linux 2.6.8-2-686-smp
fglrx-kernel-2.6.8-2-k7 - ATI binary kernel module for Linux 2.6.8-2-k7
fglrx-kernel-2.6.8-2-k7-smp - ATI binary kernel module for Linux 2.6.8-2-k7-smp
fglrx-kernel-2.6.12-1-386 - ATI binary kernel module for Linux 2.6.12-1-386
fglrx-kernel-2.6.12-1-686 - ATI binary kernel module for Linux 2.6.12-1-686
fglrx-kernel-2.6.12-1-686-smp - ATI binary kernel module for Linux 2.6.12-1-686- smp
fglrx-kernel-2.6.12-1-k7 - ATI binary kernel module for Linux 2.6.12-1-k7
fglrx-kernel-2.6.12-1-k7-smp - ATI binary kernel module for Linux 2.6.12-1-k7-smp
fglrx-kernel-2.6.14-1-386 - ATI binary kernel module for Linux 2.6.14-1-386
fglrx-kernel-2.6.14-1-686 - ATI binary kernel module for Linux 2.6.14-1-686
fglrx-kernel-2.6.14-1-686-smp - ATI binary kernel module for Linux 2.6.14-1-686- smp
fglrx-kernel-2.6.14-1-k7 - ATI binary kernel module for Linux 2.6.14-1-k7
fglrx-kernel-2.6.14-1-k7-smp - ATI binary kernel module for Linux 2.6.14-1-k7-smp
fglrx-kernel-2.6.14-2-386 - ATI binary kernel module for Linux 2.6.14-2-386
fglrx-kernel-2.6.14-2-686 - ATI binary kernel module for Linux 2.6.14-2-686
fglrx-kernel-2.6.14-2-686-smp - ATI binary kernel module for Linux 2.6.14-2-686- smp
fglrx-kernel-2.6.14-2-k7 - ATI binary kernel module for Linux 2.6.14-2-k7
fglrx-kernel-2.6.14-2-k7-smp - ATI binary kernel module for Linux 2.6.14-2-k7-smp
fglrx-kernel-2.6.15-1-486 - ATI binary kernel module for Linux 2.6.15-1-486
fglrx-kernel-2.6.15-1-686 - ATI binary kernel module for Linux 2.6.15-1-686
fglrx-kernel-2.6.15-1-686-smp - ATI binary kernel module for Linux 2.6.15-1-686- smp
fglrx-kernel-2.6.15-1-k7 - ATI binary kernel module for Linux 2.6.15-1-k7
fglrx-kernel-2.6.15-1-k7-smp - ATI binary kernel module for Linux 2.6.15-1-k7-smp

Ако версията на ядрото ти съвпада с техните версии и не си го компилирал, не е необходимо да компилираш модулите на ATi.
Btw, вече са съвместими с xserver-xorg 6.9.0


Редактирано от phantomlord на Март 21 2006, 01:14

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 21 2006, 08:55
yasnv
 

No avatar chosen




Група: Li fans
Мнения: 141
Регистриран: Август 2005

Оценка: няма

Offline
да но,xorg.conf трябва да го коригирам,както е дадено,нали?

...иначе не е интересно.
have-tried list: Slax Slackware Mandriva SuSe Knoppix Debian Mepis PCLinuxOS Vector.Linux Ubuntu Kubuntu Tilix Xandros PC-BSD Frugalware rPath VLOS Fedora Gentoo
next-to-try:Korooa
Контакти:  yasnv
WEB  
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 21 2006, 09:35
phantomlord
 
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Да.

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юни 02 2006, 22:24
PiroS
 

Avatar




Група: Li fans
Мнения: 34
Регистриран: Април 2006

Оценка: няма

Offline
Защо ми пише,ми не може да го открие?404 Not Found.Broken link?Или... :14;

Редактирано от PiroS на Юни 02 2006, 22:24

Debian Sid 2.6.22-1
Контакти:  PiroS
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юни 03 2006, 00:36
phantomlord
 
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Цитат:  (PiroS @ Юни 02 2006,22:24)

Защо ми пише,ми не може да го открие?404 Not Found.Broken link?Или... :14;
Огледала:


Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #10
Skip to the previous post in this topic. Написано на: Август 22 2006, 16:09
m0x
 

No avatar chosen




Група: Li fans
Мнения: 2
Регистриран: Март 2006

Оценка: няма

Offline
Имам няколко въпроса, първо как да разбера какво ми е ядрото, с убунту съм. После като пиша apt-get install fglrx-drivers, не ми ги инсталира?
Общо 11 отговор(а) от Март 12 2006, 02:30 до сега
  • Страница 1 от 2 Skip to Page:
  • 1
  • 2
  • Next Page
  • Last Page
 » Начало » Li Форуми » Li Бързи Съвети » Kernels & Drivers » Инсталиране на драйвери за ATi при Debian

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums